Newbie-Frage: Java Segmentation Fault

  1. hotel_seeblick

    hotel_seeblick Thread Starter MacUser Mitglied

    Mitglied seit:
    08.01.2004
    Beiträge:
    3
    Zustimmungen:
    0
    Rufe ich im terminal "java" auf wird "segmentation fault" gemeldet und ich bin wieder am Prompt :-(

    Sollte nicht Java schon vorinstalliert sein? Una auch funktionieren?

    Meine Konfiguration PB, OS X 10.3.4.

    Vielen Dank für Tips, wie ich Java doch noch zum Laufen bekomme..

    Beste Grüsse,
    hs
     
    hotel_seeblick, 10.06.2004
    #1
  2. cyko

    cyko MacUser Mitglied

    Mitglied seit:
    15.03.2004
    Beiträge:
    360
    Zustimmungen:
    2
    Wenn Du Java-Programme nur aufrufen willst,
    ist das wirklich seltsam.
    Zum kompilieren, brauchst Du im jeden Fall
    die Developer-Tools auf Deinem Rechner
    (über die Software-Restore-Funktion).
    Hilft das?
    Vielleicht muss man ja auch das BSD-Subsystem
    installieren (ist bei mir immer in der Installation
    mit drin, deswegen weiss ich nicht wie das ohne aussieht).
     
    cyko, 11.06.2004
    #2
  3. hotel_seeblick

    hotel_seeblick Thread Starter MacUser Mitglied

    Mitglied seit:
    08.01.2004
    Beiträge:
    3
    Zustimmungen:
    0
    Ja, Xcode und BSD Subsystem ist installiert, als Java wird /System/Library/Frameworks/JavaVM.framework/Versions/1.4.2/Commands/java aufgerufen, müsste also 1.4.2 sein.

    Unter /System/Library/Frameworks/JavaVM.framework/Versions/1.3.1/Commands/java geht's .... hmmm..

    Wollte eigentlich nur 'mal Zoe http://zoe.nu/ ausprobieren, sieht sehr interessant aus, aber es will bei mir nicht so recht, zum einen wegen dem "segmentation fault" bei 1.4.2, unter 1.3.1 wird folgendes ausgegeben:

    Info) SZClassLoader.path: /Users
    (Info) SZClassLoader.loadJavaArchives: loading...
    (Info) SZClassLoader.defaultJavaDirectory: /Users/Library/Java/
    (Info) SZClassLoader.loadPatches: loading...
    (ERROR) Application.main: java.lang.NoSuchMethodError
    Exception in thread "main" java.lang.NoSuchMethodError
    at alt.dev.szfoundation.SZRuntime.stackTrace(SZRuntime.java:452)
    at alt.dev.szfoundation.SZLog.appendContext(SZLog.java:162)
    at alt.dev.szfoundation.SZLog.println(SZLog.java:204)
    at alt.dev.szfoundation.SZLog.error(SZLog.java:256)
    at alt.dev.zoe.Start.main(Start.java:71)

    Irgendwie kann das 1.3.1 irgendwas nicht finden, was aber in Zoe vorausgesetzt wird !?? Mehr verstehe ich von Java leider nicht :(

    Hat jemand eine Idee?

    Besten Dank schon 'mal
     
    hotel_seeblick, 12.06.2004
    #3
  4. hotel_seeblick

    hotel_seeblick Thread Starter MacUser Mitglied

    Mitglied seit:
    08.01.2004
    Beiträge:
    3
    Zustimmungen:
    0
    Habe gerade noch mal im Zoe FAQ nachgelesen, Zoe braucht mindestens Java 1.4, also bin ich wieder beim Problem mit dem segmentation fault...

    Was ist das?
     
    hotel_seeblick, 12.06.2004
    #4
Die Seite wird geladen...
Ähnliche Themen - Newbie Frage Java
  1. Dylans Ghost
    Antworten:
    3
    Aufrufe:
    291
    Dylans Ghost
    24.10.2016
  2. cropfaktor
    Antworten:
    6
    Aufrufe:
    740
    cropfaktor
    17.07.2010
  3. SturmprophetTim
    Antworten:
    19
    Aufrufe:
    1.247
    Diskordia
    26.09.2008
  4. motz
    Antworten:
    3
    Aufrufe:
    729
    below
    22.06.2006
  5. crop
    Antworten:
    1
    Aufrufe:
    485
    TrusterX
    22.12.2005